package com.hfkj.openapi.v1.model.response;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 请求分账
 * @className: RequestSeparateModel
 * @author: HuRui
 * @date: 2023/5/26
 **/
@Data
public class ResponseSeparateCancelModel {

    /**
     * 分账流水号
     */
    private String outSeparateNo;

    /**
     * 	分账系统生成唯一流水
     */
    private String separateNo;

    /**
     * 原商户分账指令流水号
     */
    private String originOutSeparateNo;

    /**
     * 原分账指令流水
     */
    private String originSeparateNo;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 撤销金额
     */
    private BigDecimal totalAmount;

    /**
     * 签名参数
     */
    private String sign;

}
