package com.hfkj.service;

import com.hfkj.entity.BsStoreDiscountActivity;
import com.hfkj.entity.BsStoreDiscountActivityPartakeUser;

import java.util.List;
import java.util.Map;

/**
 * @className: BsStoreDiscountActivityPartakeUserService
 * @author: HuRui
 * @date: 2023/3/14
 **/
public interface BsStoreDiscountActivityPartakeUserService {

    /**
     * 编辑数据
     * @param storeDiscountActivityPartakeUser
     */
    void editData(BsStoreDiscountActivityPartakeUser storeDiscountActivityPartakeUser);

    /**
     * 查询参与用户
     * @param phone
     * @param activityId
     * @return
     */
    BsStoreDiscountActivityPartakeUser getPartakeUser(String phone, Long activityId);

    /**
     * 领取活动
     * @param phone  手机号
     * @param activityIds 活动id
     */
    void receiveDiscount(String phone, List<Long> activityIds);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsStoreDiscountActivityPartakeUser> getList(Map<String, Object> param);

    List<BsStoreDiscountActivityPartakeUser> getUseListByPhone(String phone);

}
