package com.hfkj.service;

import com.hfkj.entity.BsStoreDiscountActivity;

import java.util.List;
import java.util.Map;

/**
 * @className: BsStoreDiscountActivityService
 * @author: HuRui
 * @date: 2022/11/21
 **/
public interface BsStoreDiscountActivityService {

    /**
     * 增加门店优惠活动
     * @param discountActivity
     * @return
     */
    BsStoreDiscountActivity editActivity(BsStoreDiscountActivity discountActivity);

    /**
     * 根据id查询详情
     * @param id
     * @return
     */
    BsStoreDiscountActivity getDetailById(Long id);

    /**
     * 根据手机号查询优惠
     * @param phone
     * @return
     */
    List<BsStoreDiscountActivity> getUseDiscountListByPhone(String phone);

    /**
     * 查询门店优惠列表
     * @param param
     * @return
     */
    List<BsStoreDiscountActivity> getActivityList(Map<String, Object> param);

}

