package com.hfkj.service.rebate;

import com.hfkj.entity.BsRebateMerAccount;
import com.hfkj.entity.BsRebateMerAccountRecord;

import java.util.List;

/**
 * @className: BsRebateMerAccountRecordService
 * @author: HuRui
 * @date: 2023/10/10
 **/
public interface BsRebateMerAccountRecordService {

    /**
     * 插入记录
     * @param record
     */
    void insert(BsRebateMerAccountRecord record);

    /**
     * 查询记录列表
     * @param accountNumber 账户编号
     * @return
     */
    List<BsRebateMerAccountRecord> getRecordList(Long accountNumber);

    /**
     * 查询详情
     * @param tradeNumber
     * @return
     */
    BsRebateMerAccountRecord getDetailByTradeNumber(String tradeNumber);

}
