package com.hfkj.service.rebate.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 导出奖池名单
 * @className: ExportRewardRosterModel
 * @author: HuRui
 * @date: 2023/10/12
 **/
@Data
public class ExportRewardRosterModel {

    @ColumnWidth(20)
    @ExcelProperty(value = "奖池编号")
    private Long batchIdentifier;

    @ColumnWidth(20)
    @ExcelProperty(value = "商户编号")
    private String merNo;

    @ColumnWidth(30)
    @ExcelProperty(value = "商户名称")
    private String merName;

    @ColumnWidth(25)
    @ExcelProperty(value = "商户简称")
    private String merAbbreviate;

    @ColumnWidth(20)
    @ExcelProperty(value = "商户账户")
    private Long merAccountNumber;

    @ColumnWidth(15)
    @ExcelProperty(value = "奖池占比")
    private BigDecimal rewardRatio;

    @ColumnWidth(15)
    @ExcelProperty(value = "金额")
    private BigDecimal amount;

    @ColumnWidth(15)
    @ExcelProperty(value = "状态")
    private String status;
}
