package com.hfkj.service.rebate.model;

import com.hfkj.sysenum.RebateActivityAccountObjectTypeEnum;
import lombok.Data;

/**
 * 活动金 - 活动账户交易对象
 * @className: RebateMerAccountTradeObject
 * @author: HuRui
 * @date: 2023/10/19
 **/
@Data
public class RebateActivityAccountTradeObject {

    /**
     * 交易对象类型
     */
    private RebateActivityAccountObjectTypeEnum tradeObjectType;

    /**
     * 交易对象id
     */
    private Long tradeObjectId;

    /**
     * 交易对象内容、备注
     */
    private String tradeObjectContent;

}
