package com.hfkj.service.rebate.model;

import com.hfkj.sysenum.RebateMerAccountObjectTypeEnum;
import lombok.Data;

/**
 * 商户账户交易对象
 * @className: RebateMerAccountTradeObject
 * @author: HuRui
 * @date: 2023/10/11
 **/
@Data
public class RebateMerAccountTradeObject {

    /**
     * 交易对象类型
     */
    private RebateMerAccountObjectTypeEnum tradeObjectType;

    /**
     * 交易对象id
     */
    private Long tradeObjectId;

    /**
     * 交易对象内容、备注
     */
    private String tradeObjectContent;

}
