package com.hfkj.service;

import com.hfkj.entity.BsBankActivityRosterRate;

import java.util.List;

/**
 * @className: BsBankActivityRosterRateService
 * @author: HuRui
 * @date: 2023/5/18
 **/
public interface BsBankActivityRosterRateService {

    /**
     * 编辑数据
     * @param bankActivityRosterRate
     */
    void editData(BsBankActivityRosterRate bankActivityRosterRate);

    /**
     * 查询费率列表
     * @param rosterId
     * @return
     */
    List<BsBankActivityRosterRate> getListByRosterId(Long rosterId);

    /**
     * 查询费率列表
     * @param activityId
     * @param merId
     * @return
     */
    List<BsBankActivityRosterRate> getListByMerId(Long activityId,Long merId);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    BsBankActivityRosterRate getRosterRateById(Long id);

}
