package com.hfkj.service;

import com.hfkj.entity.BsDeviceOrderAssign;

import java.util.List;

/**
 * @className: BsDeviceOrderAssignService
 * @author: HuRui
 * @date: 2023/1/3
 **/
public interface BsDeviceOrderAssignService {

    /**
     * 编辑数据
     * @param deviceOrderAssign
     */
    void editData(BsDeviceOrderAssign deviceOrderAssign);

    /**
     * 根据id查询详情
     * @param id
     * @return
     */
    BsDeviceOrderAssign getDetailById(Long id);

    /**
     * 根据订单号查询分配设备
     * @param orderNo
     * @return
     */
    List<BsDeviceOrderAssign> getAssignListByOrderNo(String orderNo);
}
