package com.hfkj.service;

import com.hfkj.entity.BsMerContractRecordMsg;
import com.hfkj.sysenum.PlatformTypeEnum;

import java.util.Map;

/**
 * 商户进件消息报文
 * @author hurui
 */
public interface BsMerContractRecordMsgService {

    /**
     * 插入记录
     * @param recordMsg
     */
    void insertRecordMsg(BsMerContractRecordMsg recordMsg);

    /**
     * 查询商户进件错误消息
     * @param merId
     * @return
     */
    Map<String, Object> getMerContractRecordMsg(Long merId, PlatformTypeEnum platformType);
}
