package com.hfkj.service;

import com.hfkj.entity.BsMerContractRecord;
import com.hfkj.sysenum.PlatformTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * 商户进件
 * @author hurui
 */
public interface BsMerContractService {

    /**
     * 商户进件
     * @param merId
     */
    void addMerContract(Long merId, PlatformTypeEnum platformType) throws Exception;

    /**
     * 复议提交
     * @param merId
     */
    void reconsider(Long merId) throws Exception;

    /**
     * 门店进件
     * @param storeId
     * @throws Exception
     */
    void addStoreContract(Long storeId) throws Exception;

}
